{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}
<form method="post" action = "{{ path('app_login') }}" class="col-4 mx-auto my-5">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    <h1 class="h3 mb-3 font-weight-normal">Sign in</h1>
    <label for="inputMail" class="sr-only">Mail</label>
    <input type="text" value="{{ last_username }}" name="_username" id="inputMail" class="form-control mb-3" placeholder="Mail" required autofocus>
    <label for="inputPassword" class="sr-only">Password</label>
    <input type="password" name="_password" id="inputPassword" class="form-control mb-3" placeholder="Password" required>

    <input type="hidden" name="_csrf_token"
           value="{{ csrf_token('authenticate') }}"
    >

    {#
        Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
        See https://symfony.com/doc/current/security/remember_me.html

        <div class="checkbox mb-3">
            <label>
                <input type="checkbox" name="_remember_me"> Remember me
            </label>
        </div>
    #}

    <button class="btn btn-success" type="submit">
        Sign in
    </button>
    <p class="my-3">Not a member yet ? <a href="{{ path("security_registration") }}">Register</a></p>

</form>

{% endblock %}
